aboutsummaryrefslogtreecommitdiffstats
path: root/functest/opnfv_tests
diff options
context:
space:
mode:
Diffstat (limited to 'functest/opnfv_tests')
-rwxr-xr-xfunctest/opnfv_tests/openstack/healthcheck/healthcheck.sh16
-rw-r--r--functest/opnfv_tests/openstack/rally/rally.py3
-rw-r--r--functest/opnfv_tests/openstack/tempest/conf_utils.py5
-rw-r--r--functest/opnfv_tests/openstack/tempest/tempest.py8
-rwxr-xr-xfunctest/opnfv_tests/sdn/odl/odl.py19
-rwxr-xr-x[-rw-r--r--]functest/opnfv_tests/vnf/aaa/aaa.py0
6 files changed, 32 insertions, 19 deletions
diff --git a/functest/opnfv_tests/openstack/healthcheck/healthcheck.sh b/functest/opnfv_tests/openstack/healthcheck/healthcheck.sh
index 57aa0c70..7fa957c0 100755
--- a/functest/opnfv_tests/openstack/healthcheck/healthcheck.sh
+++ b/functest/opnfv_tests/openstack/healthcheck/healthcheck.sh
@@ -23,17 +23,17 @@ echo "">$LOG_FILE
exec 1<>$LOG_FILE
info () {
- echo -e "$(date '+%Y-%m-%d %H:%M:%S,%3N') - healtcheck - INFO - " "$*" | tee -a $LOG_FILE 1>&2
+ echo -e "$(date '+%Y-%m-%d %H:%M:%S,%3N') - healthcheck - INFO - " "$*" | tee -a $LOG_FILE 1>&2
}
debug () {
if [[ "${CI_DEBUG,,}" == "true" ]]; then
- echo -e "$(date '+%Y-%m-%d %H:%M:%S,%3N') - healtcheck - DEBUG - " "$*" | tee -a $LOG_FILE 1>&2
+ echo -e "$(date '+%Y-%m-%d %H:%M:%S,%3N') - healthcheck - DEBUG - " "$*" | tee -a $LOG_FILE 1>&2
fi
}
error () {
- echo -e "$(date '+%Y-%m-%d %H:%M:%S,%3N') - healtcheck - ERROR - " "$*" | tee -a $LOG_FILE 1>&2
+ echo -e "$(date '+%Y-%m-%d %H:%M:%S,%3N') - healthcheck - ERROR - " "$*" | tee -a $LOG_FILE 1>&2
exit 1
}
@@ -125,16 +125,16 @@ kernel_img=$(cat ${YAML_FILE} | shyaml get-value healthcheck.kernel_image 2> /de
ramdisk_img=$(cat ${YAML_FILE} | shyaml get-value healthcheck.ramdisk_image 2> /dev/null || true)
extra_properties=$(cat ${YAML_FILE} | shyaml get-value healthcheck.extra_properties 2> /dev/null || true)
-# Test if we need to create a 3part image
+# Test if we need to create a 3party image
if [ "X$kernel_img" != "X" ]
then
- img_id=$(glance image-create --name ${kernel_image} --disk-format aki \
+ img_id=$(openstack image create ${kernel_image} --disk-format aki \
--container-format bare < ${kernel_img} | awk '$2 == "id" { print $4 }')
extra_opts="--property kernel_id=${img_id}"
if [ "X$ramdisk_img" != "X" ]
then
- img_id=$(glance image-create --name ${ramdisk_image} --disk-format ari \
+ img_id=$(openstack image create ${ramdisk_image} --disk-format ari \
--container-format bare < ${ramdisk_img} | awk '$2 == "id" { print $4 }')
extra_opts="$extra_opts --property ramdisk_id=${img_id}"
fi
@@ -152,10 +152,10 @@ fi
debug "image extra_properties=${extra_properties}"
-eval glance image-create --name ${image_1} --disk-format ${disk_format} --container-format bare \
+eval openstack image create ${image_1} --disk-format ${disk_format} --container-format bare \
${extra_opts} < ${disk_img}
debug "image '${image_1}' created."
-eval glance image-create --name ${image_2} --disk-format ${disk_format} --container-format bare \
+eval openstack image create ${image_2} --disk-format ${disk_format} --container-format bare \
${extra_opts} < ${disk_img}
debug "image '${image_2}' created."
info "... Glance OK!"
diff --git a/functest/opnfv_tests/openstack/rally/rally.py b/functest/opnfv_tests/openstack/rally/rally.py
index f984c368..16a872fc 100644
--- a/functest/opnfv_tests/openstack/rally/rally.py
+++ b/functest/opnfv_tests/openstack/rally/rally.py
@@ -66,6 +66,7 @@ class RallyBase(testcase_base.TestcaseBase):
self.cinder_client = os_utils.get_cinder_client()
self.network_dict = {}
self.volume_type = None
+ self.smoke = None
def _build_task_args(self, test_file_name):
task_args = {'service_list': [test_file_name]}
@@ -287,7 +288,7 @@ class RallyBase(testcase_base.TestcaseBase):
cmd_line = ("rally task validate "
"--task {0} "
"--task-args \"{1}\""
- .format(task_file, self.__build_task_args(test_name)))
+ .format(task_file, self._build_task_args(test_name)))
logger.debug('running command line: {}'.format(cmd_line))
p = subprocess.Popen(cmd_line, stdout=subprocess.PIPE,
stderr=subprocess.STDOUT, shell=True)
diff --git a/functest/opnfv_tests/openstack/tempest/conf_utils.py b/functest/opnfv_tests/openstack/tempest/conf_utils.py
index 4c5e8663..91a5bb4b 100644
--- a/functest/opnfv_tests/openstack/tempest/conf_utils.py
+++ b/functest/opnfv_tests/openstack/tempest/conf_utils.py
@@ -172,6 +172,9 @@ def configure_tempest(deployment_dir, IMAGE_ID=None, FLAVOR_ID=None):
config.write(config_file)
# Copy tempest.conf to /home/opnfv/functest/results/tempest/
+ if not os.path.exists(TEMPEST_RESULTS_DIR):
+ os.makedirs(TEMPEST_RESULTS_DIR)
+
shutil.copyfile(tempest_conf_file,
os.path.join(TEMPEST_RESULTS_DIR, 'tempest.conf'))
@@ -205,7 +208,7 @@ def configure_tempest_multisite(deployment_dir):
# cmd = ("openstack endpoint show kingbird | grep publicurl |"
# "awk '{print $4}' | awk -F '/' '{print $4}'")
# kingbird_api_version = os.popen(cmd).read()
- kingbird_api_version = os_utils.get_endpoint(service_type='kingbird')
+ kingbird_api_version = os_utils.get_endpoint(service_type='multisite')
if CI_INSTALLER_TYPE == 'fuel':
# For MOS based setup, the service is accessible
diff --git a/functest/opnfv_tests/openstack/tempest/tempest.py b/functest/opnfv_tests/openstack/tempest/tempest.py
index 9c19a147..e1a223a7 100644
--- a/functest/opnfv_tests/openstack/tempest/tempest.py
+++ b/functest/opnfv_tests/openstack/tempest/tempest.py
@@ -249,12 +249,16 @@ class TempestCommon(testcase_base.TestcaseBase):
output = logfile.read()
error_logs = ""
- for match in re.findall('(.*?)[. ]*FAILED', output):
+ for match in re.findall('(.*?)[. ]*fail ', output):
error_logs += match
+ skipped_testcase = ""
+ for match in re.findall('(.*?)[. ]*skip:', output):
+ skipped_testcase += match
self.details = {"tests": int(num_tests),
"failures": int(num_failures),
- "errors": error_logs}
+ "errors": error_logs,
+ "skipped": skipped_testcase}
except Exception:
success_rate = 0
diff --git a/functest/opnfv_tests/sdn/odl/odl.py b/functest/opnfv_tests/sdn/odl/odl.py
index 339c305e..25075957 100755
--- a/functest/opnfv_tests/sdn/odl/odl.py
+++ b/functest/opnfv_tests/sdn/odl/odl.py
@@ -54,6 +54,7 @@ class ODLTests(testcase_base.TestcaseBase):
"csit/suites/openstack/neutron")
basic_suite_dir = os.path.join(odl_test_repo,
"csit/suites/integration/basic")
+ default_suites = [basic_suite_dir, neutron_suite_dir]
res_dir = '/home/opnfv/functest/results/odl/'
logger = ft_logger.Logger("opendaylight").getLogger()
@@ -89,8 +90,7 @@ class ODLTests(testcase_base.TestcaseBase):
self.details['description'] = result.suite.name
self.details['tests'] = visitor.get_data()
- def main(self, **kwargs):
- dirs = [self.basic_suite_dir, self.neutron_suite_dir]
+ def main(self, suites=default_suites, **kwargs):
try:
odlusername = kwargs['odlusername']
odlpassword = kwargs['odlpassword']
@@ -117,7 +117,7 @@ class ODLTests(testcase_base.TestcaseBase):
stdout_file = os.path.join(self.res_dir, 'stdout.txt')
output_dir = os.path.join(self.res_dir, 'output.xml')
with open(stdout_file, 'w+') as stdout:
- robot.run(*dirs, variable=variables,
+ robot.run(*suites, variable=variables,
output=output_dir,
log='NONE',
report='NONE',
@@ -140,8 +140,13 @@ class ODLTests(testcase_base.TestcaseBase):
else:
return self.EX_RUN_ERROR
- def run(self):
+ def run(self, **kwargs):
try:
+ suites = self.default_suites
+ try:
+ suites = kwargs["suites"]
+ except KeyError:
+ pass
keystone_url = op_utils.get_endpoint(service_type='identity')
neutron_url = op_utils.get_endpoint(service_type='network')
kwargs = {'keystoneip': urlparse.urlparse(keystone_url).hostname}
@@ -159,7 +164,7 @@ class ODLTests(testcase_base.TestcaseBase):
kwargs['ospassword'] = os.environ['OS_PASSWORD']
if installer_type == 'fuel':
kwargs['odlwebport'] = '8282'
- elif installer_type == 'apex':
+ elif installer_type == 'apex' or installer_type == 'netvirt':
kwargs['odlip'] = os.environ['SDN_CONTROLLER_IP']
kwargs['odlwebport'] = '8081'
kwargs['odlrestconfport'] = '8081'
@@ -178,7 +183,7 @@ class ODLTests(testcase_base.TestcaseBase):
self.logger.exception("Cannot run ODL testcases.")
return self.EX_RUN_ERROR
- return self.main(**kwargs)
+ return self.main(suites, **kwargs)
class ODLParser():
@@ -228,7 +233,7 @@ if __name__ == '__main__':
parser = ODLParser()
args = parser.parse_args(sys.argv[1:])
try:
- result = odl.main(**args)
+ result = odl.main(ODLTests.default_suites, **args)
if result != testcase_base.TestcaseBase.EX_OK:
sys.exit(result)
if args['pushtodb']:
diff --git a/functest/opnfv_tests/vnf/aaa/aaa.py b/functest/opnfv_tests/vnf/aaa/aaa.py
index f1c265f4..f1c265f4 100644..100755
--- a/functest/opnfv_tests/vnf/aaa/aaa.py
+++ b/functest/opnfv_tests/vnf/aaa/aaa.py